Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network123.3.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
123.3.0.0
Broadcast address
123.3.127.255
First usable
123.3.0.1
Last usable
123.3.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 7B030000 · Integer 2063794176 to 2063826943
Reverse DNS zones
0.3.123.in-addr.arpa
1.3.123.in-addr.arpa
2.3.123.in-addr.arpa
3.3.123.in-addr.arpa
4.3.123.in-addr.arpa
5.3.123.in-addr.arpa
6.3.123.in-addr.arpa
7.3.123.in-addr.arpa
8.3.123.in-addr.arpa
9.3.123.in-addr.arpa
10.3.123.in-addr.arpa
11.3.123.in-addr.arpa
12.3.123.in-addr.arpa
13.3.123.in-addr.arpa
14.3.123.in-addr.arpa
15.3.123.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111011.00000011.00000000.00000000123.3.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01111011.00000011.00000000.00000000123.3.0.0
Broadcast01111011.00000011.01111111.11111111123.3.127.255
Split into smaller subnets/27

123.3.0.0/17 makes 1,024 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1123.3.0.0/27123.3.0.1 to 123.3.0.30123.3.0.3130
2123.3.0.32/27123.3.0.33 to 123.3.0.62123.3.0.6330
3123.3.0.64/27123.3.0.65 to 123.3.0.94123.3.0.9530
4123.3.0.96/27123.3.0.97 to 123.3.0.126123.3.0.12730
5123.3.0.128/27123.3.0.129 to 123.3.0.158123.3.0.15930
6123.3.0.160/27123.3.0.161 to 123.3.0.190123.3.0.19130
7123.3.0.192/27123.3.0.193 to 123.3.0.222123.3.0.22330
8123.3.0.224/27123.3.0.225 to 123.3.0.254123.3.0.25530
9123.3.1.0/27123.3.1.1 to 123.3.1.30123.3.1.3130
10123.3.1.32/27123.3.1.33 to 123.3.1.62123.3.1.6330
11123.3.1.64/27123.3.1.65 to 123.3.1.94123.3.1.9530
12123.3.1.96/27123.3.1.97 to 123.3.1.126123.3.1.12730
13123.3.1.128/27123.3.1.129 to 123.3.1.158123.3.1.15930
14123.3.1.160/27123.3.1.161 to 123.3.1.190123.3.1.19130
15123.3.1.192/27123.3.1.193 to 123.3.1.222123.3.1.22330
16123.3.1.224/27123.3.1.225 to 123.3.1.254123.3.1.25530
17123.3.2.0/27123.3.2.1 to 123.3.2.30123.3.2.3130
18123.3.2.32/27123.3.2.33 to 123.3.2.62123.3.2.6330
19123.3.2.64/27123.3.2.65 to 123.3.2.94123.3.2.9530
20123.3.2.96/27123.3.2.97 to 123.3.2.126123.3.2.12730
21123.3.2.128/27123.3.2.129 to 123.3.2.158123.3.2.15930
22123.3.2.160/27123.3.2.161 to 123.3.2.190123.3.2.19130
23123.3.2.192/27123.3.2.193 to 123.3.2.222123.3.2.22330
24123.3.2.224/27123.3.2.225 to 123.3.2.254123.3.2.25530
25123.3.3.0/27123.3.3.1 to 123.3.3.30123.3.3.3130
26123.3.3.32/27123.3.3.33 to 123.3.3.62123.3.3.6330
27123.3.3.64/27123.3.3.65 to 123.3.3.94123.3.3.9530
28123.3.3.96/27123.3.3.97 to 123.3.3.126123.3.3.12730
29123.3.3.128/27123.3.3.129 to 123.3.3.158123.3.3.15930
30123.3.3.160/27123.3.3.161 to 123.3.3.190123.3.3.19130
31123.3.3.192/27123.3.3.193 to 123.3.3.222123.3.3.22330
32123.3.3.224/27123.3.3.225 to 123.3.3.254123.3.3.25530
33123.3.4.0/27123.3.4.1 to 123.3.4.30123.3.4.3130
34123.3.4.32/27123.3.4.33 to 123.3.4.62123.3.4.6330
35123.3.4.64/27123.3.4.65 to 123.3.4.94123.3.4.9530
36123.3.4.96/27123.3.4.97 to 123.3.4.126123.3.4.12730
37123.3.4.128/27123.3.4.129 to 123.3.4.158123.3.4.15930
38123.3.4.160/27123.3.4.161 to 123.3.4.190123.3.4.19130
39123.3.4.192/27123.3.4.193 to 123.3.4.222123.3.4.22330
40123.3.4.224/27123.3.4.225 to 123.3.4.254123.3.4.25530
41123.3.5.0/27123.3.5.1 to 123.3.5.30123.3.5.3130
42123.3.5.32/27123.3.5.33 to 123.3.5.62123.3.5.6330
43123.3.5.64/27123.3.5.65 to 123.3.5.94123.3.5.9530
44123.3.5.96/27123.3.5.97 to 123.3.5.126123.3.5.12730
45123.3.5.128/27123.3.5.129 to 123.3.5.158123.3.5.15930
46123.3.5.160/27123.3.5.161 to 123.3.5.190123.3.5.19130
47123.3.5.192/27123.3.5.193 to 123.3.5.222123.3.5.22330
48123.3.5.224/27123.3.5.225 to 123.3.5.254123.3.5.25530
49123.3.6.0/27123.3.6.1 to 123.3.6.30123.3.6.3130
50123.3.6.32/27123.3.6.33 to 123.3.6.62123.3.6.6330
51123.3.6.64/27123.3.6.65 to 123.3.6.94123.3.6.9530
52123.3.6.96/27123.3.6.97 to 123.3.6.126123.3.6.12730
53123.3.6.128/27123.3.6.129 to 123.3.6.158123.3.6.15930
54123.3.6.160/27123.3.6.161 to 123.3.6.190123.3.6.19130
55123.3.6.192/27123.3.6.193 to 123.3.6.222123.3.6.22330
56123.3.6.224/27123.3.6.225 to 123.3.6.254123.3.6.25530
57123.3.7.0/27123.3.7.1 to 123.3.7.30123.3.7.3130
58123.3.7.32/27123.3.7.33 to 123.3.7.62123.3.7.6330
59123.3.7.64/27123.3.7.65 to 123.3.7.94123.3.7.9530
60123.3.7.96/27123.3.7.97 to 123.3.7.126123.3.7.12730
61123.3.7.128/27123.3.7.129 to 123.3.7.158123.3.7.15930
62123.3.7.160/27123.3.7.161 to 123.3.7.190123.3.7.19130
63123.3.7.192/27123.3.7.193 to 123.3.7.222123.3.7.22330
64123.3.7.224/27123.3.7.225 to 123.3.7.254123.3.7.25530
65123.3.8.0/27123.3.8.1 to 123.3.8.30123.3.8.3130
66123.3.8.32/27123.3.8.33 to 123.3.8.62123.3.8.6330
67123.3.8.64/27123.3.8.65 to 123.3.8.94123.3.8.9530
68123.3.8.96/27123.3.8.97 to 123.3.8.126123.3.8.12730
69123.3.8.128/27123.3.8.129 to 123.3.8.158123.3.8.15930
70123.3.8.160/27123.3.8.161 to 123.3.8.190123.3.8.19130
71123.3.8.192/27123.3.8.193 to 123.3.8.222123.3.8.22330
72123.3.8.224/27123.3.8.225 to 123.3.8.254123.3.8.25530
73123.3.9.0/27123.3.9.1 to 123.3.9.30123.3.9.3130
74123.3.9.32/27123.3.9.33 to 123.3.9.62123.3.9.6330
75123.3.9.64/27123.3.9.65 to 123.3.9.94123.3.9.9530
76123.3.9.96/27123.3.9.97 to 123.3.9.126123.3.9.12730
77123.3.9.128/27123.3.9.129 to 123.3.9.158123.3.9.15930
78123.3.9.160/27123.3.9.161 to 123.3.9.190123.3.9.19130
79123.3.9.192/27123.3.9.193 to 123.3.9.222123.3.9.22330
80123.3.9.224/27123.3.9.225 to 123.3.9.254123.3.9.25530
81123.3.10.0/27123.3.10.1 to 123.3.10.30123.3.10.3130
82123.3.10.32/27123.3.10.33 to 123.3.10.62123.3.10.6330
83123.3.10.64/27123.3.10.65 to 123.3.10.94123.3.10.9530
84123.3.10.96/27123.3.10.97 to 123.3.10.126123.3.10.12730
85123.3.10.128/27123.3.10.129 to 123.3.10.158123.3.10.15930
86123.3.10.160/27123.3.10.161 to 123.3.10.190123.3.10.19130
87123.3.10.192/27123.3.10.193 to 123.3.10.222123.3.10.22330
88123.3.10.224/27123.3.10.225 to 123.3.10.254123.3.10.25530
89123.3.11.0/27123.3.11.1 to 123.3.11.30123.3.11.3130
90123.3.11.32/27123.3.11.33 to 123.3.11.62123.3.11.6330
91123.3.11.64/27123.3.11.65 to 123.3.11.94123.3.11.9530
92123.3.11.96/27123.3.11.97 to 123.3.11.126123.3.11.12730
93123.3.11.128/27123.3.11.129 to 123.3.11.158123.3.11.15930
94123.3.11.160/27123.3.11.161 to 123.3.11.190123.3.11.19130
95123.3.11.192/27123.3.11.193 to 123.3.11.222123.3.11.22330
96123.3.11.224/27123.3.11.225 to 123.3.11.254123.3.11.25530
97123.3.12.0/27123.3.12.1 to 123.3.12.30123.3.12.3130
98123.3.12.32/27123.3.12.33 to 123.3.12.62123.3.12.6330
99123.3.12.64/27123.3.12.65 to 123.3.12.94123.3.12.9530
100123.3.12.96/27123.3.12.97 to 123.3.12.126123.3.12.12730
101123.3.12.128/27123.3.12.129 to 123.3.12.158123.3.12.15930
102123.3.12.160/27123.3.12.161 to 123.3.12.190123.3.12.19130
103123.3.12.192/27123.3.12.193 to 123.3.12.222123.3.12.22330
104123.3.12.224/27123.3.12.225 to 123.3.12.254123.3.12.25530
105123.3.13.0/27123.3.13.1 to 123.3.13.30123.3.13.3130
106123.3.13.32/27123.3.13.33 to 123.3.13.62123.3.13.6330
107123.3.13.64/27123.3.13.65 to 123.3.13.94123.3.13.9530
108123.3.13.96/27123.3.13.97 to 123.3.13.126123.3.13.12730
109123.3.13.128/27123.3.13.129 to 123.3.13.158123.3.13.15930
110123.3.13.160/27123.3.13.161 to 123.3.13.190123.3.13.19130
111123.3.13.192/27123.3.13.193 to 123.3.13.222123.3.13.22330
112123.3.13.224/27123.3.13.225 to 123.3.13.254123.3.13.25530
113123.3.14.0/27123.3.14.1 to 123.3.14.30123.3.14.3130
114123.3.14.32/27123.3.14.33 to 123.3.14.62123.3.14.6330
115123.3.14.64/27123.3.14.65 to 123.3.14.94123.3.14.9530
116123.3.14.96/27123.3.14.97 to 123.3.14.126123.3.14.12730
117123.3.14.128/27123.3.14.129 to 123.3.14.158123.3.14.15930
118123.3.14.160/27123.3.14.161 to 123.3.14.190123.3.14.19130
119123.3.14.192/27123.3.14.193 to 123.3.14.222123.3.14.22330
120123.3.14.224/27123.3.14.225 to 123.3.14.254123.3.14.25530
121123.3.15.0/27123.3.15.1 to 123.3.15.30123.3.15.3130
122123.3.15.32/27123.3.15.33 to 123.3.15.62123.3.15.6330
123123.3.15.64/27123.3.15.65 to 123.3.15.94123.3.15.9530
124123.3.15.96/27123.3.15.97 to 123.3.15.126123.3.15.12730
125123.3.15.128/27123.3.15.129 to 123.3.15.158123.3.15.15930
126123.3.15.160/27123.3.15.161 to 123.3.15.190123.3.15.19130
127123.3.15.192/27123.3.15.193 to 123.3.15.222123.3.15.22330
128123.3.15.224/27123.3.15.225 to 123.3.15.254123.3.15.25530
129123.3.16.0/27123.3.16.1 to 123.3.16.30123.3.16.3130
130123.3.16.32/27123.3.16.33 to 123.3.16.62123.3.16.6330
131123.3.16.64/27123.3.16.65 to 123.3.16.94123.3.16.9530
132123.3.16.96/27123.3.16.97 to 123.3.16.126123.3.16.12730
133123.3.16.128/27123.3.16.129 to 123.3.16.158123.3.16.15930
134123.3.16.160/27123.3.16.161 to 123.3.16.190123.3.16.19130
135123.3.16.192/27123.3.16.193 to 123.3.16.222123.3.16.22330
136123.3.16.224/27123.3.16.225 to 123.3.16.254123.3.16.25530
137123.3.17.0/27123.3.17.1 to 123.3.17.30123.3.17.3130
138123.3.17.32/27123.3.17.33 to 123.3.17.62123.3.17.6330
139123.3.17.64/27123.3.17.65 to 123.3.17.94123.3.17.9530
140123.3.17.96/27123.3.17.97 to 123.3.17.126123.3.17.12730
141123.3.17.128/27123.3.17.129 to 123.3.17.158123.3.17.15930
142123.3.17.160/27123.3.17.161 to 123.3.17.190123.3.17.19130
143123.3.17.192/27123.3.17.193 to 123.3.17.222123.3.17.22330
144123.3.17.224/27123.3.17.225 to 123.3.17.254123.3.17.25530
145123.3.18.0/27123.3.18.1 to 123.3.18.30123.3.18.3130
146123.3.18.32/27123.3.18.33 to 123.3.18.62123.3.18.6330
147123.3.18.64/27123.3.18.65 to 123.3.18.94123.3.18.9530
148123.3.18.96/27123.3.18.97 to 123.3.18.126123.3.18.12730
149123.3.18.128/27123.3.18.129 to 123.3.18.158123.3.18.15930
150123.3.18.160/27123.3.18.161 to 123.3.18.190123.3.18.19130
151123.3.18.192/27123.3.18.193 to 123.3.18.222123.3.18.22330
152123.3.18.224/27123.3.18.225 to 123.3.18.254123.3.18.25530
153123.3.19.0/27123.3.19.1 to 123.3.19.30123.3.19.3130
154123.3.19.32/27123.3.19.33 to 123.3.19.62123.3.19.6330
155123.3.19.64/27123.3.19.65 to 123.3.19.94123.3.19.9530
156123.3.19.96/27123.3.19.97 to 123.3.19.126123.3.19.12730
157123.3.19.128/27123.3.19.129 to 123.3.19.158123.3.19.15930
158123.3.19.160/27123.3.19.161 to 123.3.19.190123.3.19.19130
159123.3.19.192/27123.3.19.193 to 123.3.19.222123.3.19.22330
160123.3.19.224/27123.3.19.225 to 123.3.19.254123.3.19.25530
161123.3.20.0/27123.3.20.1 to 123.3.20.30123.3.20.3130
162123.3.20.32/27123.3.20.33 to 123.3.20.62123.3.20.6330
163123.3.20.64/27123.3.20.65 to 123.3.20.94123.3.20.9530
164123.3.20.96/27123.3.20.97 to 123.3.20.126123.3.20.12730
165123.3.20.128/27123.3.20.129 to 123.3.20.158123.3.20.15930
166123.3.20.160/27123.3.20.161 to 123.3.20.190123.3.20.19130
167123.3.20.192/27123.3.20.193 to 123.3.20.222123.3.20.22330
168123.3.20.224/27123.3.20.225 to 123.3.20.254123.3.20.25530
169123.3.21.0/27123.3.21.1 to 123.3.21.30123.3.21.3130
170123.3.21.32/27123.3.21.33 to 123.3.21.62123.3.21.6330
171123.3.21.64/27123.3.21.65 to 123.3.21.94123.3.21.9530
172123.3.21.96/27123.3.21.97 to 123.3.21.126123.3.21.12730
173123.3.21.128/27123.3.21.129 to 123.3.21.158123.3.21.15930
174123.3.21.160/27123.3.21.161 to 123.3.21.190123.3.21.19130
175123.3.21.192/27123.3.21.193 to 123.3.21.222123.3.21.22330
176123.3.21.224/27123.3.21.225 to 123.3.21.254123.3.21.25530
177123.3.22.0/27123.3.22.1 to 123.3.22.30123.3.22.3130
178123.3.22.32/27123.3.22.33 to 123.3.22.62123.3.22.6330
179123.3.22.64/27123.3.22.65 to 123.3.22.94123.3.22.9530
180123.3.22.96/27123.3.22.97 to 123.3.22.126123.3.22.12730
181123.3.22.128/27123.3.22.129 to 123.3.22.158123.3.22.15930
182123.3.22.160/27123.3.22.161 to 123.3.22.190123.3.22.19130
183123.3.22.192/27123.3.22.193 to 123.3.22.222123.3.22.22330
184123.3.22.224/27123.3.22.225 to 123.3.22.254123.3.22.25530
185123.3.23.0/27123.3.23.1 to 123.3.23.30123.3.23.3130
186123.3.23.32/27123.3.23.33 to 123.3.23.62123.3.23.6330
187123.3.23.64/27123.3.23.65 to 123.3.23.94123.3.23.9530
188123.3.23.96/27123.3.23.97 to 123.3.23.126123.3.23.12730
189123.3.23.128/27123.3.23.129 to 123.3.23.158123.3.23.15930
190123.3.23.160/27123.3.23.161 to 123.3.23.190123.3.23.19130
191123.3.23.192/27123.3.23.193 to 123.3.23.222123.3.23.22330
192123.3.23.224/27123.3.23.225 to 123.3.23.254123.3.23.25530
193123.3.24.0/27123.3.24.1 to 123.3.24.30123.3.24.3130
194123.3.24.32/27123.3.24.33 to 123.3.24.62123.3.24.6330
195123.3.24.64/27123.3.24.65 to 123.3.24.94123.3.24.9530
196123.3.24.96/27123.3.24.97 to 123.3.24.126123.3.24.12730
197123.3.24.128/27123.3.24.129 to 123.3.24.158123.3.24.15930
198123.3.24.160/27123.3.24.161 to 123.3.24.190123.3.24.19130
199123.3.24.192/27123.3.24.193 to 123.3.24.222123.3.24.22330
200123.3.24.224/27123.3.24.225 to 123.3.24.254123.3.24.25530
201123.3.25.0/27123.3.25.1 to 123.3.25.30123.3.25.3130
202123.3.25.32/27123.3.25.33 to 123.3.25.62123.3.25.6330
203123.3.25.64/27123.3.25.65 to 123.3.25.94123.3.25.9530
204123.3.25.96/27123.3.25.97 to 123.3.25.126123.3.25.12730
205123.3.25.128/27123.3.25.129 to 123.3.25.158123.3.25.15930
206123.3.25.160/27123.3.25.161 to 123.3.25.190123.3.25.19130
207123.3.25.192/27123.3.25.193 to 123.3.25.222123.3.25.22330
208123.3.25.224/27123.3.25.225 to 123.3.25.254123.3.25.25530
209123.3.26.0/27123.3.26.1 to 123.3.26.30123.3.26.3130
210123.3.26.32/27123.3.26.33 to 123.3.26.62123.3.26.6330
211123.3.26.64/27123.3.26.65 to 123.3.26.94123.3.26.9530
212123.3.26.96/27123.3.26.97 to 123.3.26.126123.3.26.12730
213123.3.26.128/27123.3.26.129 to 123.3.26.158123.3.26.15930
214123.3.26.160/27123.3.26.161 to 123.3.26.190123.3.26.19130
215123.3.26.192/27123.3.26.193 to 123.3.26.222123.3.26.22330
216123.3.26.224/27123.3.26.225 to 123.3.26.254123.3.26.25530
217123.3.27.0/27123.3.27.1 to 123.3.27.30123.3.27.3130
218123.3.27.32/27123.3.27.33 to 123.3.27.62123.3.27.6330
219123.3.27.64/27123.3.27.65 to 123.3.27.94123.3.27.9530
220123.3.27.96/27123.3.27.97 to 123.3.27.126123.3.27.12730
221123.3.27.128/27123.3.27.129 to 123.3.27.158123.3.27.15930
222123.3.27.160/27123.3.27.161 to 123.3.27.190123.3.27.19130
223123.3.27.192/27123.3.27.193 to 123.3.27.222123.3.27.22330
224123.3.27.224/27123.3.27.225 to 123.3.27.254123.3.27.25530
225123.3.28.0/27123.3.28.1 to 123.3.28.30123.3.28.3130
226123.3.28.32/27123.3.28.33 to 123.3.28.62123.3.28.6330
227123.3.28.64/27123.3.28.65 to 123.3.28.94123.3.28.9530
228123.3.28.96/27123.3.28.97 to 123.3.28.126123.3.28.12730
229123.3.28.128/27123.3.28.129 to 123.3.28.158123.3.28.15930
230123.3.28.160/27123.3.28.161 to 123.3.28.190123.3.28.19130
231123.3.28.192/27123.3.28.193 to 123.3.28.222123.3.28.22330
232123.3.28.224/27123.3.28.225 to 123.3.28.254123.3.28.25530
233123.3.29.0/27123.3.29.1 to 123.3.29.30123.3.29.3130
234123.3.29.32/27123.3.29.33 to 123.3.29.62123.3.29.6330
235123.3.29.64/27123.3.29.65 to 123.3.29.94123.3.29.9530
236123.3.29.96/27123.3.29.97 to 123.3.29.126123.3.29.12730
237123.3.29.128/27123.3.29.129 to 123.3.29.158123.3.29.15930
238123.3.29.160/27123.3.29.161 to 123.3.29.190123.3.29.19130
239123.3.29.192/27123.3.29.193 to 123.3.29.222123.3.29.22330
240123.3.29.224/27123.3.29.225 to 123.3.29.254123.3.29.25530
241123.3.30.0/27123.3.30.1 to 123.3.30.30123.3.30.3130
242123.3.30.32/27123.3.30.33 to 123.3.30.62123.3.30.6330
243123.3.30.64/27123.3.30.65 to 123.3.30.94123.3.30.9530
244123.3.30.96/27123.3.30.97 to 123.3.30.126123.3.30.12730
245123.3.30.128/27123.3.30.129 to 123.3.30.158123.3.30.15930
246123.3.30.160/27123.3.30.161 to 123.3.30.190123.3.30.19130
247123.3.30.192/27123.3.30.193 to 123.3.30.222123.3.30.22330
248123.3.30.224/27123.3.30.225 to 123.3.30.254123.3.30.25530
249123.3.31.0/27123.3.31.1 to 123.3.31.30123.3.31.3130
250123.3.31.32/27123.3.31.33 to 123.3.31.62123.3.31.6330
251123.3.31.64/27123.3.31.65 to 123.3.31.94123.3.31.9530
252123.3.31.96/27123.3.31.97 to 123.3.31.126123.3.31.12730
253123.3.31.128/27123.3.31.129 to 123.3.31.158123.3.31.15930
254123.3.31.160/27123.3.31.161 to 123.3.31.190123.3.31.19130
255123.3.31.192/27123.3.31.193 to 123.3.31.222123.3.31.22330
256123.3.31.224/27123.3.31.225 to 123.3.31.254123.3.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses